
void plot(){

    string phys = "lowe";

    for (int i=0; i<21; i++) {
    
        int b = 1400 + 10*i;

        TFile f1(Form("e1682keV_b%igauss_%s.root", b, phys.c_str()), "READ");
        TTree * d1 = (TTree*)f1.Get("Detector"); 
        TH1F * h1 = new TH1F("h1", "h1", 220, 0, 2200);
        d1->Draw("EDepSignal>>h1");

        TFile f2(Form("e976keV_b%igauss_%s.root", b, phys.c_str()), "READ");
        TTree * d2 = (TTree*)f2.Get("Detector"); 
        TH1F * h2 = new TH1F("h2", "h2", 220, 0, 2200);
        d2->Draw("EDepSignal>>h2");

        TCanvas * c1 = new TCanvas("c1");
        c1->Clear();
        
//        gPad->SetLogy();
        gPad->SetTicks(1,1);
        gPad->SetGrid();
        
        h1->SetLineColor(4);
        h2->SetLineColor(2);
        
        h1->Scale(0.0032);  // <-- take into account relative intensity of 1682 and 976 keV electrons
        
        h1->Draw();
        h2->Draw("same");

        c1->Update();
        
        cout << b << " gauss" << endl;
        gPad->WaitPrimitive();
        
        f2.Close();
        f1.Close();
    }
    
}


